# $Revision: 1.33 $, $Date: 2011/05/30 19:28:25 $
Summary:	Hyper's CdCatalog
Summary(hu.UTF-8):	Hyper CD Katalógusa
Summary(pl.UTF-8):	Katalog CDków Hypera
Name:		cdcat
Version:	1.3
Release:	1
Epoch:		1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/project/cdcat/cdcat/cdcat-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	f2bfe2eb89e19e1bc870dd786630dca3
Source1:	%{name}.desktop
URL:		http://cdcat.sourceforge.net/
BuildRequires:	Qt3Support-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtXml-devel
BuildRequires:	expat-devel >= 1.95.2
BuildRequires:	pcre-devel >= 1.1.4
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The cdcat is a graphical (Qt based) multiplatform (Linux/Windows)
catalog program which scan your directoryes/drives you want and
memoryze the filesystem /including the tags of MP3's/ and store it a
small file. The database is stored in a gzipped XML format, so you can
hack it, or use it if necessary :-)

%description -l hu.UTF-8
A cdcat egy grafikus (QT alapú) többplatformos (Linux/Windows/MacOS)
katalógus program, mely beolvassa a megadott könyvtárakat és
fájlszerkezeteket, és egy kis fájlban eltárolja, így késõbb könnyedén
visszakereshetők a tárolt programok, zenék, filmek, stb. Az mp3-akhoz
tartozó tag-ek is megjegyzésre kerülnek. Az adatbázis egy gzippelt XML
formátumban tárolódik, így hordozható és könnyen hack-elhetõ, ha kell.

%description -l pl.UTF-8
Cdcat jest graficznym (opartym o Qt) wieloplatformowym (Linux/Windows)
programem katalogującym, który skanuje wybrane dyski i zapamiętuje
system plików (włączając w to znaczniki MP3) i zapisuje to w małym
pliku. Baza danych jest w gzipowanym pliku XML, więc można ją
zmieniać, albo używać w miarę potrzeby.

%prep
%setup -q -n %{name}-%{version}
%{__sed} -i "s,lrelease,lrelease-qt4,g ;\
	s,/usr/local,/usr,g ;\
	s,\(distfiles.path =\).*,\1 %{_docdir}/%{name}-%{version}," \
	src/cdcat.pro
%{__sed} -i "s@\.\./COPYING@../README_IMPORT ../README_IMPORT.DE ../README_IMPORT.HU@" src/cdcat.pro

%build
cd src
export QTDIR=%{_prefix}
qmake-qt4 \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags} -fno-exceptions -fno-rtti" \
	cdcat.pro

%{__make}

cd lang
lrelease-qt4 *.ts

%install
rm -rf $RPM_BUILD_ROOT
cd src
%{__make} install INSTALL_ROOT=$RPM_BUILD_ROOT

install -D ../cdcat.png $RPM_BUILD_ROOT%{_pixmapsdir}/cdcat.png
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/cdcat.desktop
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/translations
install lang/*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/translations

%{__rm} -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/cdcat
%dir %{_datadir}/cdcat/translations
%lang(cs) %{_datadir}/cdcat/translations/cdcat_cz.qm
%lang(de) %{_datadir}/cdcat/translations/cdcat_de.qm
%lang(el) %{_datadir}/cdcat/translations/cdcat_el.qm
%lang(es) %{_datadir}/cdcat/translations/cdcat_es.qm
# %lang(fr) %{_datadir}/cdcat/translations/cdcat_fr.qm
%lang(hu) %{_datadir}/cdcat/translations/cdcat_hu.qm
%lang(id) %{_datadir}/cdcat/translations/cdcat_id.qm
# %lang(it) %{_datadir}/cdcat/translations/cdcat_it.qm
%lang(pl) %{_datadir}/cdcat/translations/cdcat_pl.qm
%lang(pt) %{_datadir}/cdcat/translations/cdcat_pt.qm
%lang(sk) %{_datadir}/cdcat/translations/cdcat_sk.qm
# %lang(sr) %{_datadir}/cdcat/translations/cdcat_sr.qm
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cdcat.spec,v $
Revision 1.33  2011/05/30 19:28:25  uzsolt
- 1.3
- rel 1

Revision 1.32  2011/04/11 05:59:21  uzsolt
- rel 3

Revision 1.31  2011/03/09 09:41:13  uzsolt
- rel 2

Revision 1.30  2011/03/08 14:58:31  uzsolt
- change docfile-install patch to sedding

Revision 1.29  2011/03/08 13:21:55  uzsolt
- 1.2
- docfile-install.patch

Revision 1.28  2011/02/06 16:50:35  sparky
- unified %clean section

Revision 1.27  2011/02/06 09:47:43  uzsolt
- beta4

Revision 1.26  2011/02/03 21:20:50  uzsolt
- beta3
- build and install language files manually

Revision 1.25  2011/01/27 20:57:19  sparky
- BR: QtXml-devel

Revision 1.24  2011/01/24 09:45:21  uzsolt
- %doc instead docdir

Revision 1.23  2011/01/24 07:53:57  uzsolt
- 1.1 beta2 (not 1.2!, so Epoch1)
- change source0
- use make install

Revision 1.22  2011/01/24 01:59:21  sparky
- BR: qt4-build

Revision 1.21  2010/12/02 23:14:05  uzsolt
- use simple beta-version, snap version segfaults
- remove snap macro

Revision 1.20  2010/12/01 09:39:26  uzsolt
- version update
- use qt4 version

Revision 1.19  2008/10/12 08:22:33  uzsolt
- hu summary and description
- rel 3

Revision 1.18  2007/09/22 21:14:46  vip
- added segfault fix patch

Revision 1.17  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.15  2006/11/07 22:22:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.14  2006/07/18 22:10:40  vip
- up to 1.01b

Revision 1.13  2005/05/28 10:35:27  zbyniu
- BR: qmake

Revision 1.12  2004/11/30 14:03:05  paladine
- rel 2 for fixed desktop file

Revision 1.11  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.10  2004/10/24 22:49:22  paladine
- QT->Qt
- spelling fixes

Revision 1.9  2004/06/18 21:00:31  wolf
- 0.97 (vip at linux dot pl)

Revision 1.8  2004/04/10 17:09:30  qboosh
- use qt-mt even if qt-st-devel is installed; release 2

Revision 1.7  2004/04/02 21:41:52  wolf
- 0.96 by Piotr Budny <vip at linux.pl>

Revision 1.6  2004/03/02 22:12:37  qboosh
- update to 0.95 (from Piotr Budny <vip at linux.pl>)

Revision 1.5  2003/12/14 13:46:39  qboosh
- more cosmetics and unifications, use %%lang for translations
- pass optflags (with disabled unused C++ features)

Revision 1.4  2003/12/13 22:03:21  averne
- cosmetics

Revision 1.3  2003/12/13 21:49:05  gotar
- removed COPYING (GPL), added README

Revision 1.2  2003/12/13 21:43:49  gotar
- cosmetics

Revision 1.1  2003/12/13 21:28:34  gotar
- from maHo lukasz at mach com pl
